Loading...
Searching...
No Matches
RDKit::MolSanitizeException Class Reference

class for flagging sanitization errors More...

`#include <SanitException.h>`

Inheritance diagram for RDKit::MolSanitizeException:

## Public Member Functions

| MolSanitizeException (const char *msg)
| MolSanitizeException (std::string msg)
| MolSanitizeException (const MolSanitizeException &other)
const char * | what () const noexcept override
| ~MolSanitizeException () noexcept override
virtual MolSanitizeException * | copy () const
virtual std::string | getType () const

## Protected Attributes

std::string | d_msg

## Detailed Description

class for flagging sanitization errors

Definition at line 28 of file SanitException.h.

## Constructor & Destructor Documentation

## MolSanitizeException() [1/3]

RDKit::MolSanitizeException::MolSanitizeException | ( | const char * | msg | ) |

inline

Definition at line 30 of file SanitException.h.

References d_msg.

Referenced by RDKit::AtomSanitizeException::AtomSanitizeException(), RDKit::AtomSanitizeException::AtomSanitizeException(), RDKit::AtomSanitizeException::AtomSanitizeException(), RDKit::AtomSanitizeException::copy(), RDKit::KekulizeException::copy(), copy(), RDKit::KekulizeException::KekulizeException(), RDKit::KekulizeException::KekulizeException(), RDKit::KekulizeException::KekulizeException(), and MolSanitizeException().

## MolSanitizeException() [2/3]

RDKit::MolSanitizeException::MolSanitizeException | ( | std::string | msg | ) |

inline

Definition at line 31 of file SanitException.h.

References d_msg.

## MolSanitizeException() [3/3]

RDKit::MolSanitizeException::MolSanitizeException | ( | const MolSanitizeException & | other | ) |

inline

Definition at line 32 of file SanitException.h.

References d_msg, and MolSanitizeException().

## ~MolSanitizeException()

RDKit::MolSanitizeException::~MolSanitizeException | ( |  | ) |

inline override noexcept

Definition at line 35 of file SanitException.h.

## Member Function Documentation

## copy()

virtual MolSanitizeException * RDKit::MolSanitizeException::copy | ( |  | ) | const

inline virtual

Reimplemented in RDKit::AtomKekulizeException, RDKit::AtomSanitizeException, RDKit::AtomValenceException, and RDKit::KekulizeException.

Definition at line 36 of file SanitException.h.

References MolSanitizeException().

## getType()

virtual std::string RDKit::MolSanitizeException::getType | ( |  | ) | const

inline virtual

Reimplemented in RDKit::AtomKekulizeException, RDKit::AtomSanitizeException, RDKit::AtomValenceException, and RDKit::KekulizeException.

Definition at line 39 of file SanitException.h.

## what()

const char * RDKit::MolSanitizeException::what | ( |  | ) | const

inline override noexcept

Definition at line 34 of file SanitException.h.

References d_msg.

## Member Data Documentation

## d_msg

std::string RDKit::MolSanitizeException::d_msg

protected

Definition at line 42 of file SanitException.h.

Referenced by MolSanitizeException(), MolSanitizeException(), MolSanitizeException(), and what().

The documentation for this class was generated from the following file:

- SanitException.h